%define oname khelpcenter

Summary:	Plasma 5 help center
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	grantlee-qt5-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(xapian-core)
Conflicts:	khelpcenter
Obsoletes:	%{_lib}plasma5-khelpcenter-devel < 16.04.2

%description
Plasma 5 help center.

%files
%{_kde5_bindir}/khelpcenter
%{_kde5_applicationsdir}/org.kde.Help.desktop
%{_kde5_datadir}/config.kcfg/khelpcenter.kcfg
%dir %{_kde5_datadir}/khelpcenter/
# KDE4 service seems to be kept for a reason...
%{_kde5_datadir}/kde4/services/khelpcenter.desktop
%{_kde5_datadir}/khelpcenter/*
%{_kde5_docdir}/HTML/en/*
%{_kde5_libdir}/libkdeinit5_khelpcenter.so
%{_kde5_libexecdir}/khc_*
%{_kde5_services}/khelpcenter.desktop
%{_kde5_sysconfdir}/xdg/khelpcenter.categories
%{_kde5_xmlguidir}/khelpcenter/khelpcenterui.rc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (76bc0f4) New version 16.04.3


